Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227166 - ISE on login + Can't see rows On users page...
Summary: ISE on login + Can't see rows On users page...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site
Version: rhn415
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Partha Aji
QA Contact: Red Hat Satellite QA List
URL: https://rhn.webqa.redhat.com/rhn/user...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 21:09 UTC by Partha Aji
Modified: 2008-04-21 16:10 UTC (History)
1 user (show)

Fixed In Version: 500
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-04-21 16:10:02 UTC


Attachments (Terms of Use)

Description Partha Aji 2007-02-02 21:09:27 UTC
Description of problem:
Go to https://rhn.webqa.redhat.com/rhn/users/ActiveList.do using the following
login ->  rspell/redhat
Notice that the line between mduskis and rspell is blank... 
The following query on webqa shows the logins that won't similaruly get
displayed on the user's list
"
select wc.login, wc.password, wc.org_id from web_contact wc where not exists
(select 1 from rhnuserinfo RUI where RUI.user_id = wc.id) order by wc.org_id;
"

Another problem related to users in the above list is the ISE that shows up when
they try to login...

Version-Release number of selected component (if applicable): 416 Hosted


How reproducible:


Steps to Reproduce:
1. Run the following query in yasql
select wc.login, wc.password, wc.org_id from web_contact wc where not exists
(select 1 from rhnuserinfo RUI where RUI.user_id = wc.id) order by wc.org_id;
2. Using the login and password info try to login to webdev .. Notice the ISE

3. Next Login using rspell/redhat and click on 'Users' link.. Notice the blank
line between mduskis and rspell.. 

Additional info:
Basically we have a the sql query described in step 1 should result in Zero
rows.. For every user created in web_contact there must be a row in rhnUserInfo...

Comment 1 Corey Welton 2007-02-05 16:24:37 UTC
QA Verified:
* Aforementioned query no longer returns any results.
* Previously affected user accounts can now login
* Accounts no longer appear as blank rows in the users list




Note You need to log in before you can comment on or make changes to this bug.